Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Supported by

Tobii 4C eye tracker

Hi,

I'm on a limited budget at my university, so I'm looking for an affordable eye tracker. The Tobii 4C caught my attention. I'm pretty new to do this and still figuring out how everything works. Reading through the PyGaze manual, it seems that the Tobii 4C is supported, but I see also things about upgrading the license key for the Pro SDK of Tobii. Do I need this upgrade of the SDK in order to make it work with PyGaze? Or can I just start using the eye tracker with the normal license that comes with it.

Thanks

Comments

  • Hi,

    I myself don't remember exactly what will work and what not. If you browse the forum, you'll find quite a few discussions that cover questions regarding the new Tobii. Maybe you'll find your information there. Otherwise, maybe @Edwin can share his experience.

    Sorry and good luck,
    Eduard

  • Hi all,

    Recently, Tobii has implemented support for the new Pro SDK. Before there was already support for the old Tobii SDK. According to Tobii, the 4C should work with the new Pro SDK, and thus also with PyGaze, but they do say you require the license for that Pro SDK.

    I'm not super clear on how their licensing and software works, though, so you might be better of inquiring with Tobii.

    Good luck!
    Edwin

  • @Edwin Thanks. I got in touch with Tobii, but they're basically trying to sell their research SDK (which I don't have the budget for). Hence, I tried to ask here to get to know what kind usable data comes out of it without the SDK; if there's a workaround. Because I'm reading a lot of different things like PyGaze, Matlab options, etc. but it's isn't really clear to me whether it needs to go through the SDK or not.

  • As far as I am aware (which is only through Tobii's information), you'll need the license to make the Pro SDK work. There is still a tobii-legacy option built into PyGaze for older models, but that's only for the models that use the old SDK, and I don't think the 4C is one of them. Sorry!

    Have you looked into GazePoint's GP3? It's also reasonably cheap, and should work with PyGaze.

    Alternatively, the people at Pupil Labs make a relatively affordable wearable eye tracker that I've heard good things about. The downside there is that it's not supported in PyGaze, and thus requires your expertise to use it within an experiment.

    Good luck!
    Edwin

Sign In or Register to comment.